## org.eclipse.emf.ecore.impl
Class EStructuralFeatureImpl.InternalSettingDelegateSingle

    java.lang.Object
      org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingle

All Implemented Interfaces:
  EStructuralFeature.Internal.SettingDelegate

Direct Known Subclasses:
  EStructuralFeatureImpl.InternalSettingDelegateSingleContainer, EStructuralFeatureImpl.InternalSettingDelegateSingleData, EStructuralFeatureImpl.InternalSettingDelegateSingleEObject

Enclosing class:
  EStructuralFeatureImpl

    public abstract static class EStructuralFeatureImpl.InternalSettingDelegateSingle

extends java.lang.Object
implements EStructuralFeature.Internal.SettingDelegate

Field Summary
`protected EStructuralFeature` `feature`
`static java.lang.Object` `NIL`

Constructor Summary
`EStructuralFeatureImpl.InternalSettingDelegateSingle(EStructuralFeature feature)`

Method Summary
`NotificationChain` `dynamicInverseAdd(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int index, InternalEObject otherEnd, NotificationChain notifications)` Adds the object at the other end of a bidirectional reference to the appropriate feature and returns accumulated notifications.
`NotificationChain` `dynamicInverseRemove(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int index, InternalEObject otherEnd, NotificationChain notifications)` Removes the object at the other end of a bidirectional reference from the appropriate feature and returns accumulated notifications.
`EStructuralFeature.Setting` `dynamicSetting(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int index)` Returns a setting that can be used to access the owner's feature.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.SettingDelegate
`dynamicGet, dynamicIsSet, dynamicSet, dynamicUnset`

Field Detail

### NIL

    public static final java.lang.Object NIL

### feature

    protected EStructuralFeature feature

Constructor Detail

### EStructuralFeatureImpl.InternalSettingDelegateSingle

    public EStructuralFeatureImpl.InternalSettingDelegateSingle(EStructuralFeature feature)

Method Detail

### dynamicSetting

    public EStructuralFeature.Setting dynamicSetting(InternalEObject owner,
                                                     EStructuralFeature.Internal.DynamicValueHolder settings,
                                                     int index)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Returns a setting that can be used to access the owner's feature.

  Specified by:
    `dynamicSetting` in interface `EStructuralFeature.Internal.SettingDelegate`
  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `index` - the feature's index in the owner's cached dynamic values.
  Returns:
    a setting that can be used to access the owner's feature.
  See Also:
    `InternalEObject.eSetting(EStructuralFeature)`

### dynamicInverseAdd

    public NotificationChain dynamicInverseAdd(InternalEObject owner,
                                               EStructuralFeature.Internal.DynamicValueHolder settings,
                                               int index,
                                               InternalEObject otherEnd,
                                               NotificationChain notifications)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Adds the object at the other end of a bidirectional reference to the appropriate feature and returns accumulated notifications.

  Specified by:
    `dynamicInverseAdd` in interface `EStructuralFeature.Internal.SettingDelegate`
  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `index` - the feature's index in the owner's cached dynamic values.
    `otherEnd` - the object to inverse add.
    `notifications` - the incoming accumulated notifications.
  Returns:
    accumulated notifications.
  See Also:
    `InternalEObject.eInverseAdd(org.eclipse.emf.ecore.InternalEObject, int, java.lang.Class<?>, org.eclipse.emf.common.notify.NotificationChain)`

### dynamicInverseRemove

    public NotificationChain dynamicInverseRemove(InternalEObject owner,
                                                  EStructuralFeature.Internal.DynamicValueHolder settings,
                                                  int index,
                                                  InternalEObject otherEnd,
                                                  NotificationChain notifications)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Removes the object at the other end of a bidirectional reference from the appropriate feature and returns accumulated notifications.

  Specified by:
    `dynamicInverseRemove` in interface `EStructuralFeature.Internal.SettingDelegate`
  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `index` - the feature's index in the owner's cached dynamic values.
    `otherEnd` - the object to inverse remove.
    `notifications` - the incoming accumulated notifications.
  Returns:
    accumulated notifications.
  See Also:
    `InternalEObject.eInverseRemove(org.eclipse.emf.ecore.InternalEObject, int, java.lang.Class<?>, org.eclipse.emf.common.notify.NotificationChain)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.